local display = false
local success = nil
local CurrentlyDisplaying = false

function ApolloBlockGame(cb, RequireMultipleClicks, PlaySoundOnClick, ShowPercent, ShowFlame, HeaderText, BoxColor)
    if CurrentlyDisplaying then return end
    CurrentlyDisplaying = true
    success = promise.new()
    display = not display
    SetNuiFocus(display, display)
    SendNUIMessage({
        type = "open",
        RequireMultipleClicks = RequireMultipleClicks,
        PlaySoundOnClick = PlaySoundOnClick,
        ShowPercent = ShowPercent,
        ShowFlame = ShowFlame,
        HeaderText = HeaderText,
        BoxColor = BoxColor,
    })
    local result = Citizen.Await(success)
    cb(result)
end

RegisterNUICallback('Apollo-callback', function(data, cb)
    CurrentlyDisplaying = false
	SetNuiFocus(false, false)
    success:resolve(data.success)
    success = nil
    cb('ok')
end)

exports("Blockgame", ApolloBlockGame)